list: List the pull requests of a project

API: sonarcloud.io:sonarqube
Endpoint: /api/project_pull_requests/list
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 564ms

Description

List the pull requests of a project. One of the following permissions is required: - 'Browse' rights on the specified project- 'Execute Analysis' rights on the specified project

Parameters (1)

project (string, query, required)

Project key

Examples (1)

List the pull requests of a project openapi-spec
curl 'https://sonarcloud.io/api/project_pull_requests/list?project=my_project'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/project_pull_requests/list",
    params={
        'project': 'my_project',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/project_pull_requests/list", project="my_project")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/project_pull_requests/list?project=my_project");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:05:33.609707 200 564ms
2026-04-16 01:22:02.745332 200 140ms
2026-04-15 02:05:26.219161 200 184ms
2026-04-14 02:44:01.767792 200 200ms
2026-04-12 16:34:02.844209 200 133ms
2026-04-10 02:29:55.123301 200 100ms
2026-04-09 03:31:03.046637 200 189ms